Overview | File | Class | Tree | Index | Help
| Jala 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class jala.Form.Component.Skin

    Object
       |
       +--jala.Form.Component
             |
             +--jala.Form.Component.Skin

class jala.Form.Component.Skin
extends jala.Form.Component

Subclass of jala.Form.Component that allows rendering a skin within a form.
Defined in Form.js

Constructor Summary
`jala.Form.Component.Skin (<String> name)`

Method Summary
`void` | `render()` Renders the skin named by this component to the response.

Methods inherited from class jala.Form.Component
`createDomId, validate, save`

Constructor Detail

### jala.Form.Component.Skin

    jala.Form.Component.Skin(<String> name)

Parameters:

`name` - The name of the component, used as the name of the skin

Returns:

A newly created Skin component instance

Method Detail

### render

    void render()

Renders the skin named by this component to the response.

Overview | File | Class | Tree | Index | Help
| Jala 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Documentation generated by JSDoc on Tue Jan 8 15:45:31 2008